#
# spec file for package android-udev-rules
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           android-udev-rules
Version:        20210501
Release:        bp154.1.21
Summary:        Android udev rules list aimed to be the most comprehensive on the net
License:        GPL-3.0-or-later
Group:          Hardware/Mobile
URL:            https://github.com/M0Rf30/android-udev-rules
Source0:        https://github.com/M0Rf30/android-udev-rules/archive/%{version}/%{name}-%{version}.tar.gz
BuildRequires:  sysuser-shadow
BuildRequires:  sysuser-tools
Recommends:     android-tools
Provides:       android-tools-udev = %{version}
Obsoletes:      android-tools-udev < %{version}
BuildArch:      noarch
%sysusers_requires

%description
These rules refer to 'Run Apps on a Hardware Device - Android Studio'
and include many suggestions from the Archlinux and Github Communities.

%prep
%autosetup -p1

%build
%sysusers_generate_pre android-udev.conf adbusers

%install
install -D -m 0644 -t %{buildroot}%{_sysusersdir} android-udev.conf
install -D -m 0644 -t %{buildroot}%{_udevrulesdir} 51-android.rules

%pre -f adbusers.pre

%post
%udev_rules_update

%postun
%udev_rules_update

%files
%license LICENSE
%doc README.md
%{_sysusersdir}/android-udev.conf
%{_udevrulesdir}/51-android.rules

%changelog
* Mon May  3 2021 munix9@googlemail.com
- Update to version 20210501
  fixed:
  * Mediatek rules typo
* Sun Apr 25 2021 munix9@googlemail.com
- Update to version 20210425
  added:
  * Microsoft Surface Duo
  * Umidigi F1
  * Iconia Tab 210
  * Fairphone 1 & 2
  fixed:
  * Exclude BIND actions from udev triggering (close #204)
- Call %%udev_rules_update in %%post/%%postun
- Remove fix-consider-bind-action.patch (fixed upstream)
* Tue Mar  9 2021 munix9@googlemail.com
- Add fix-consider-bind-action.patch - Systemd catches up with
  bind events (boo#1183058) (gh#M0Rf30/android-udev-rules#204)
* Tue Mar  2 2021 munix9@googlemail.com
- Update to version 20210302
  added:
  * Zebra TC72
  * Unitech Electronics vendor
  * Unitech Electronics EA630
  * Xperia XZ1 Compact
  * Xperia XZ2 Compact
  * Xperia 5 II
* Sun Oct  4 2020 munix9@googlemail.com
- Update to version 20201003
  added:
  * Parrot vendor
  * Tablet Idea XDS-1078
  * Castles vendor
  * Point Mobile vendor
  * Redmi 8 Pro
  * Yandex Phone
  * Nvidia SHIELD tablet new Id
  fixed:
  * Nvidia TV Shield on fastboot
  cleanup:
  * General adherence to udev rule model
  * Reducing tests on device detection and entries processing
* Thu Jul 30 2020 munix9@googlemail.com
- Update to version 20200613
  * Indentation cleanup
  * Removed duplicate entry for Qualcomm (05c6)
  * Adds support for Huawei P10 Lite to udev rules
  * Disable ADVANCE rules: needs specific product rules
  * Add Spectralink
- Update to version 20200410
  * Cleanup of entries without an action
  * Revert "Uncommented Dell idVendor line"
  * Add Sonim as vendor
  * Essential Phone PH-1 is also known as `2e17:c032`
* Tue Jul 28 2020 olaf@aepfle.de
- This package replaces android-tools-udev version 5
  add the missing Provides/Obsoletes to avoid fileconflicts
* Fri Nov  8 2019 munix9@googlemail.com
- Initial package for version 20191103
